package com.yijia.label.mapper;

import java.util.List;
import com.yijia.label.domain.CustomerLabel;

/**
 * 用户标签Mapper接口
 *
 * @author yijia
 * @date 2021-06-15
 */
public interface CustomerLabelMapper
{
    /**
     * 查询用户标签
     *
     * @param id 用户标签ID
     * @return 用户标签
     */
    public CustomerLabel selectCustomerLabelById(Integer id);

    /**
     * 查询用户标签列表
     *
     * @param customerLabel 用户标签
     * @return 用户标签集合
     */
    public List<CustomerLabel> selectCustomerLabelList(CustomerLabel customerLabel);

    /**
     * 新增用户标签
     *
     * @param customerLabel 用户标签
     * @return 结果
     */
    public int insertCustomerLabel(CustomerLabel customerLabel);

    /**
     * 修改用户标签
     *
     * @param customerLabel 用户标签
     * @return 结果
     */
    public int updateCustomerLabel(CustomerLabel customerLabel);

    /**
     * 删除用户标签
     *
     * @param id 用户标签ID
     * @return 结果
     */
    public int deleteCustomerLabelById(Integer id);

    /**
     * 批量删除用户标签
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCustomerLabelByIds(Integer[] ids);

    public List<CustomerLabel> selectNotCustomerLabelInfo(CustomerLabel customerLabel);

    /**
     * 根据手机号和labelId查询唯一的数据
     * @param labelInfo
     * @return
     */
    public CustomerLabel selectCustomerLabelInfo(CustomerLabel labelInfo);

    /**
     * 查询标签用户
     * @param
     * @return
     */
    public  List<CustomerLabel> selectPhonelist(CustomerLabel customerLabel);
}
